For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The PayrollRun object
          • GET/payroll-runs
          • GET/payroll-runs/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsPayroll runs

/payroll-runs/{id}

GET
/hris/v1/payroll-runs/:id
GET
/api/hris/v1/payroll-runs/:id
$curl -G https://api.merge.dev/api/hris/v1/payroll-runs/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode remote_fields=run_state,run_type \
> --data-urlencode show_enum_origins=run_state,run_type
200Retrieved
1{
2 "id": "37336947-b3d4-4a4c-a310-ab6ab510e079",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "run_state": "PAID",
7 "run_type": "REGULAR",
8 "start_date": "2020-11-08T00:00:00Z",
9 "end_date": "2020-11-15T00:00:00Z",
10 "check_date": "2020-11-15T00:00:00Z",
11 "remote_was_deleted": true,
12 "field_mappings": {
13 "organization_defined_targets": {
14 "custom_key": "custom_value"
15 },
16 "linked_account_defined_targets": {
17 "custom_key": "custom_value"
18 }
19 },
20 "remote_data": [
21 {
22 "path": "/payroll",
23 "data": null
24 }
25 ]
26}

Returns a PayrollRun object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/payroll-runs

Next

The TimeOff object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
run_stateenum or null

The state of the payroll run

  • PAID - PAID
  • DRAFT - DRAFT
  • APPROVED - APPROVED
  • FAILED - FAILED
  • CLOSED - CLOSED
Allowed values:
run_typeenum or null

The type of the payroll run

  • REGULAR - REGULAR
  • OFF_CYCLE - OFF_CYCLE
  • CORRECTION - CORRECTION
  • TERMINATION - TERMINATION
  • SIGN_ON_BONUS - SIGN_ON_BONUS
Allowed values:
start_datedatetime or null
The day and time the payroll run started.
end_datedatetime or null
The day and time the payroll run ended.
check_datedatetime or null
The day and time the payroll run was checked.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more